package cn.com.qmth.examcloud.core.basic.api.request;

import cn.com.qmth.examcloud.api.commons.enums.DataRuleType;
import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @since: 2020/12/18
 */
public class QueryUserDataRuleReq extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "权限类型")
    private DataRuleType type;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public DataRuleType getType() {
        return type;
    }

    public void setType(DataRuleType type) {
        this.type = type;
    }

}
