package cn.com.qmth.examcloud.core.oe.admin.api.request;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.core.oe.admin.api.bean.MarkResultScoreBean;

public class SaveSubjectiveQuestionScoreReq extends BaseRequest {

    /**
     * 
     */
    private static final long serialVersionUID = 1294831176679509480L;

    @NotNull(message = "rootOrgId不能为空")
    private Long rootOrgId;

    @NotNull(message = "examId不能为空")
    private Long examId;

    @NotNull(message = "workId不能为空")
    private Long workId;

    @NotNull(message = "examRecordDataId不能为空")
    private Long examRecordDataId;

    @NotNull(message = "courseId不能为空")
    private Long courseId;

    @NotNull(message = "studentPaperId不能为空")
    private Long studentPaperId;

    @NotEmpty(message = "scores不能为空")
    private List<@Valid MarkResultScoreBean> scores;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getStudentPaperId() {
        return studentPaperId;
    }

    public void setStudentPaperId(Long studentPaperId) {
        this.studentPaperId = studentPaperId;
    }

    public List<MarkResultScoreBean> getScores() {
        return scores;
    }

    public void setScores(List<MarkResultScoreBean> scores) {
        this.scores = scores;
    }

}
