package cn.com.qmth.examcloud.exchange.outer.api.bean;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 考生接入状态
 *
 * @author WANGWEI
 * @date 2019年1月8日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamStudentStatus4BatchBean implements Serializable {

    private static final long serialVersionUID = -6794614626330803366L;

    @ApiModelProperty(value = "响应编码", hidden = true)
    private String code;

    @ApiModelProperty(value = "响应描述", hidden = true)
    private String desc;

    @ApiModelProperty(value = "考试ID", example = "123")
    private Long examId;

    @ApiModelProperty(value = "考试名称", example = "2024年6月期末考试")
    private String examName;

    @ApiModelProperty(value = "学生ID", example = "123")
    private Long studentId;

    @ApiModelProperty(value = "考生ID", example = "123")
    private Long id;

    @ApiModelProperty(value = "学生姓名", example = "张三")
    private String name;

    @ApiModelProperty(value = "证件号", example = "123456789123456789X")
    private String identityNumber;

    @ApiModelProperty(value = "学号", example = "S123456789")
    private String studentCode;

    @ApiModelProperty(value = "考试课程代码", example = "c101")
    private String courseCode;

    @ApiModelProperty(value = "考试课程名称", example = "C语言")
    private String courseName;

    @ApiModelProperty(value = "考试课程层次（ZSB:专升本；GQZ:高起专；GQB:高起本；ALL:不限）", example = "ALL")
    private String courseLevel;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

}
