package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author chenken
 * @date 2018年11月27日 下午5:51:08
 * @company QMTH
 */
public class OuterQueryFinalScoreDataReq extends EnterpriseRequest {

    private static final long serialVersionUID = -5033520077132433253L;

    @ApiModelProperty(value = "顶级机构ID", example = "123", required = true)
    private Long rootOrgId;

    @ApiModelProperty(value = "考试编码", example = "2024年6月期末考试", required = true)
    private String examCode;

    @ApiModelProperty(value = "考试名称（实际作为考试编码使用）", example = "2024年6月期末考试")
    private String examName;

    @ApiModelProperty(value = "证件号", example = "123456789123456789X", required = true)
    private String identityNumber;

    @ApiModelProperty(value = "学号", example = "S123456789")
    private String studentCode;

    @ApiModelProperty(value = "考试课程代码", example = "c101", required = true)
    private String courseCode;

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

}
