package cn.com.qmth.examcloud.core.oe.admin.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.admin.api.MarkResultCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.ClearMarkResultReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.ClearMarkResultResp;

@Service("markResultCloudService")
public class MarkResultCloudServiceClient extends AbstractCloudClientSupport implements MarkResultCloudService {

    private static final long serialVersionUID = 6596862028883396367L;

    @Override
    public ClearMarkResultResp clearScore(ClearMarkResultReq req) {
        return post("mark/result/clear", req, ClearMarkResultResp.class);
    }
}
