package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import java.util.Date;

/**
 * @Description 考试过程记录
 * @Author lideyin
 * @Date 2020/8/20 18:49
 * @Version 1.0
 */
public class ExamProcessRecordBean implements JsonSerializable {

    private static final long serialVersionUID = 6443942682157198322L;
    private Long id;

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 过程名称
     */
    private String processName;

    /**
     * 过程记录时间
     */
    private Date recordTime;

    /**
     * 访问源ip
     */
    private String sourceIp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public String getSourceIp() {
        return sourceIp;
    }

    public void setSourceIp(String sourceIp) {
        this.sourceIp = sourceIp;
    }
}
